Несколько уязвимостей в EncapsGallery

Дата публикации:
23.04.2008
Всего просмотров:
869
Опасность:
Низкая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-1987
CVE-2008-1988
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
EncapsGallery 2.x
Уязвимые версии: EncapsGallery 2.0.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "search" в сценарии search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки расширений файлов перед загрузкой в функции "file_upload()" в сценарии core/misc.class.php. Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе. Для успешной эксплуатации уязвимости требуются привилегии администратора приложения.

URL производителя: www.encaps.net

Решение: Установите последнюю версию 2.0.4, устраняющую уязвимость #1, с сайта производителя.

или введите имя

CAPTCHA